%define name	dvbstream
%define version 0.5
%define beta	0
%define mgarel	%mkrel 4

%define kernel_dir /usr/src/linux
%define kernel_inc %kernel_dir/include

%if %beta
%define release 0.%{beta}.%{mgarel}
%else
%define release %{mgarel}
%endif

Summary:	Dvbstream
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://osdn.dl.sourceforge.net/dvbtools/%{name}-%{version}.tar.bz2
URL:		http://www.linuxstb.org
License:	GPL
Group:		Video/Utilities

%description
 DVBstream is based on the ts-rtp package available at
 http://www.linuxtv.org.  It broadcasts a (subset of a) DVB transport
 stream over a LAN using the rtp protocol.  There were a couple of
 small bugs in the original ts-rtp application, which I have fixed
 here.

%prep
%setup -q

%build
#UK
make INCS=-I%kernel_inc
install -m755 dvbstream dvbstream-uk
install -m755 dumprtp dvb_dumprtp-uk
install -m755 rtpfeed dvb_rtpfeed-uk
install -m755 ts_filter dvb_ts_filter-uk
make clean
#Finland
make INCS=-I%kernel_inc FINLAND=1
install -m755 dvbstream dvbstream-fin
install -m755 dumprtp dvb_dumprtp-fin
install -m755 rtpfeed dvb_rtpfeed-fin
install -m755 ts_filter dvb_ts_filter-fin
make clean

make INCS=-I%kernel_inc FINLAND2=1
install -m755 dvbstream dvbstream-fin2
install -m755 dumprtp dvb_dumprtp-fin2
install -m755 rtpfeed dvb_rtpfeed-fin2
install -m755 ts_filter dvb_ts_filter-fin2

%install
install -d -m755 %buildroot%_bindir
install -m755 dvbstream-* %buildroot%_bindir/
install -m755 dvb_dumprtp* %buildroot%_bindir/
install -m755 dvb_rtpfeed* %buildroot%_bindir/
install -m755 dvb_ts_filter* %buildroot%_bindir/

install -d -m755 %buildroot%_libdir/%name
install TELNET/* %buildroot%_libdir/%name/

echo "update-alternatives --install %_bindir/dvbstream dvbstream %_bindir/dvbstream-uk 30 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %_bindir/$i $i %_bindir/$i-uk \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh

echo "update-alternatives --install %_bindir/dvbstream dvbstream %_bindir/dvbstream-fin 20 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %_bindir/$i $i %_bindir/$i-fin \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh


echo "update-alternatives --install %_bindir/dvbstream dvbstream %_bindir/dvbstream-fin2 10 \\" >> dvbstream-setup-alternatives.sh
for i in dvb_dumprtp dvb_rtpfeed dvb_ts_filter ; do
	echo "--slave  %_bindir/$i $i %_bindir/$i-fin2 \\" >> dvbstream-setup-alternatives.sh
done
echo >> dvbstream-setup-alternatives.sh

%post -f dvbstream-setup-alternatives.sh

%postun
if [ $1 = 0 ]; then
	update-alternatives --remove dvbstream %_bindir/dvbstream-uk
	update-alternatives --remove dvbstream %_bindir/dvbstream-fin
	update-alternatives --remove dvbstream %_bindir/dvbstream-fin2
fi

%files
%doc README COPYING CHANGES
%_bindir/*
%dir %_libdir/%name
%_libdir/%name/*


%changelog

* Wed Jan 16 2013 fwang <fwang> 0.5-4.mga3
+ Revision: 388573
- update rpm group

* Wed Mar 23 2011 steletch <steletch> 0.5-4.mga1
+ Revision: 75933
- Clean spec file
- imported package dvbstream

